Loads one message by message_id. Returns 404 when no row exists. Returns 403 when the message belongs to another tenant unless the caller is a super-admin. Requires JWT with at least read scope.
POST
/
messages
/
get_by_id
Get a single message by ID
curl --request POST \
--url https://api.svantic.com/messages/get_by_id \
--header 'Content-Type: application/json' \
--data '
{
"message_id": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({message_id: '<string>'})
};
fetch('https://api.svantic.com/messages/get_by_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.svantic.com/messages/get_by_id"
payload = { "message_id": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.svantic.com/messages/get_by_id"
payload := strings.NewReader("{\n \"message_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": {
"message_id": "<string>",
"session_id": "<string>",
"tenant_id": "<string>",
"state": "submitted",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_input": "<string>",
"assistant_output": "<string>",
"preview": "<string>",
"trace_id": "<string>",
"root_agent": "<string>",
"duration_ms": 123,
"error_message": "<string>",
"task_data": {},
"attachments": [
{}
],
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid request body",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "unauthorized"
}{
"error": "JWT does not include the required scope for this operation",
"code": "forbidden"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"error": "Internal server error",
"code": "INTERNAL_ERROR",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}⌘I
Get a single message by ID
curl --request POST \
--url https://api.svantic.com/messages/get_by_id \
--header 'Content-Type: application/json' \
--data '
{
"message_id": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({message_id: '<string>'})
};
fetch('https://api.svantic.com/messages/get_by_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.svantic.com/messages/get_by_id"
payload = { "message_id": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.svantic.com/messages/get_by_id"
payload := strings.NewReader("{\n \"message_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": {
"message_id": "<string>",
"session_id": "<string>",
"tenant_id": "<string>",
"state": "submitted",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_input": "<string>",
"assistant_output": "<string>",
"preview": "<string>",
"trace_id": "<string>",
"root_agent": "<string>",
"duration_ms": 123,
"error_message": "<string>",
"task_data": {},
"attachments": [
{}
],
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid request body",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "unauthorized"
}{
"error": "JWT does not include the required scope for this operation",
"code": "forbidden"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"error": "Internal server error",
"code": "INTERNAL_ERROR",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}